Subject: RE: [midcom] I-D ACTION:draft-ford-midcom-p2p-00.txt

From: "Christian Huitema" <[email-masked]>
Date: Wed, 1 Oct 2003 17:36:26 -0700

After reading that draft, may I offer a few comments? The draft contains
a very good survey of the existing techniques, and then three sections
that are not descriptive: the proposal of a new IP option,
recommendations for applications developers, and recommendations for NAT
designers. Out of these three sections, two are quite sound, as they
follow directly from the survey -- the recommendations to applications
and NAT. The description of the IP option, however, is sure to generate
a lot of discussion and controversy. Could it be moved to a separate
draft?

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> [email-masked]
> Sent: Monday, September 29, 2003 12:38 PM
> Cc: [email-masked]
> Subject: [midcom] I-D ACTION:draft-ford-midcom-p2p-00.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
> 	Title		: Peer-to-Peer communication across Middleboxes
> 	Author(s)	: B. Ford, P. Srisuresh, D. Kegel
> 	Filename	: draft-ford-midcom-p2p-00.txt
> 	Pages		: 28
> 	Date		: 2003-9-29
> 
> This memo documents the methods which the current peer-to-peer
> (P2P) applications use to communicate in the presence of
> middleboxes such as firewalls and network address translators
> (NAT). Further, the document proposes a new middlebox IP option
> to allow deployment of P2P applications more effectively without
> significant rework on the middleboxes or the applications. The
> goal of this document is to enable immediate, wider deployment
> of P2P applications without requiring the use of special proxy,
> relay or midcom  protocols, while not precluding their use.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ford-midcom-p2p-00.txt
> 
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the
> message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the
> username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ford-midcom-p2p-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ford-midcom-p2p-00.txt".
> 
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom

---

From: Pyda Srisuresh <[email-masked]>
Date: Fri, 3 Oct 2003 12:04:25 -0700 (PDT)

--- Christian Huitema <[email-masked]> wrote:
> After reading that draft, may I offer a few comments? 

Thanks, Christian, for the comments.

>                                                       The draft contains

Well, the middlebox IP option is central to the theme of enabling immediate
deployment of p2p applications and making P2P applications work across
middleboxes  

Basically, we took 3 tacks to the p2p deployment.

1. Suggest tweaks to the existing middlebox and P2P application developers.
Expand the application suite to include both TCP and UDP based applications.

2. Suggest the use of a simple IP Middlebox option by the applications and the
middleboxes. This is simple and easy to do. Applications donot need to know of
the middleboxes enroute. The IP option will traverse all the middleboxes along
the way. This, we believe, will trigger wider development of P2P applications.

3. Lastly, the Midcom protocol, if designed right, could help in P2P
deployment. Midcom protocol is still in development - Unfrtunately, not enough
discussion on the need to control address and port binds and their settings. I
donot know, at this time, if the protocol will turn out to be useful for P2P
applications. 

So, while we do understand, use of IP option for anything does tend to be
controversial, that seems like the best option at this time given the choices
out there. We are certainly open to and welcome considered opinions and
comments from middlebox vendors and P2P application developers.

Thanks.

regards,
suresh

=====